Search User by ID

Get a user by id

get

This method returns the user that matches the entered ID.

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Path parameters
user_idintegerRequired

The user's ID.

Responses
chevron-right
200

User object

application/json
created_byintegerRequiredExample: 5
created_onstring · date-timeRequired
idintegerRequired
is_apibooleanRequiredExample: false
key_handlestring · nullableOptionalDefault: nullExample: 7920380c812ab0b752b5f04a2561a736f136d9937af542bce149bad075ee25f60f21dad3fa9a8a88bc3fa80a360b3680bb7e1ef6179701e41f9d90fd5f6b475d
last_requestinteger · nullableOptionalDefault: nullExample: 2
pub_keystring · nullableOptionalDefault: nullExample: 040BAE7B34D9AB3056D575128F24B42D09705FF9CFCD860790DF8147D45888E4C8C9C19AE837298C45CBC595152EA5F43788431F6B4C0017030351C05F6C505FCA
roleone ofRequiredExample: OPERATOR
string · enumOptionalPossible values:
statusone ofRequiredExample: ACTIVE
string · enumOptionalPossible values:
user_idstring · nullableOptionalDefault: nullExample: 5CA88C5165CF3640
usernamestringRequiredExample: operator1
get
/users/{user_id}

Last updated